> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# エンタープライズのセキュリティプロファイルを削除する

> エンタープライズが所有するセキュリティプロファイルを削除します。
バインド（デフォルト、プレイブック、自動化、セッションへのバインド。各組織のバインドも含む）が
そのプロファイルを参照している場合、409エラーで失敗します。409の詳細には、
参照元のリソースタイプが一覧表示されます。

エンタープライズが所有するセキュリティプロファイルを削除し、`204` を返します。

## 権限

エンタープライズレベルで `ManageAccountSecureModeProfiles` 権限を持つ[サービスユーザー](https://docs.devin.ai/ja/api-reference/v3/service-users/members-service-users.md)または[個人用アクセストークン](https://docs.devin.ai/ja/api-reference/personal-access-tokens.md)が必要です。Enterprise アカウントでのみ利用できます。

## 動作

* プロフィールがデフォルト、プレイブック、自動化、またはセッションから参照されている間は、`409` を返します。エンタープライズ内の組織におけるバインドも対象です。エラーの詳細には参照元のリソースタイプが一覧表示されるため、それらの参照を削除してから再試行してください。


## OpenAPI

````yaml ja/v3-openapi.json DELETE /v3beta1/enterprise/security-profiles/{profile_id}
openapi: 3.1.0
info:
  title: Devin API v3
  description: サービスユーザー認証とRBACに対応したDevin v3 API
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/security-profiles/{profile_id}:
    delete:
      tags:
        - security-profiles
      summary: エンタープライズのセキュリティプロファイルを削除する
      description: |-
        エンタープライズが所有するセキュリティプロファイルを削除します。
        バインド（デフォルト、プレイブック、自動化、セッションへのバインド。各組織のバインドも含む）が
        そのプロファイルを参照している場合、409エラーで失敗します。409の詳細には、
        参照元のリソースタイプが一覧表示されます。
      operationId: >-
        handle_delete_security_profile_v3beta1_enterprise_security_profiles__profile_id__delete
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            title: Profile Id
      responses:
        '204':
          description: 成功レスポンス
        '401':
          description: 認証されていません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '403':
          description: アクセスが禁止されています
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '404':
          description: 見つかりません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '409':
          description: 競合
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '410':
          description: リソースは削除されています
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '422':
          description: 処理できないコンテンツ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '429':
          description: リクエスト過多
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
components:
  schemas:
    ProblemDetail:
      properties:
        type:
          type: string
          title: Type
          description: 問題タイプを識別する URI 参照。
          default: about:blank
        title:
          type: string
          title: Title
          description: 問題タイプの、人が読める短い要約。
        status:
          type: integer
          title: Status
          description: HTTP ステータスコード。
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: この発生事象に固有の、人が読める説明。
        instance:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance
          description: この発生事象の URI 参照（リクエストパス）。
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Errors
          description: フィールド単位のバリデーションエラー（422レスポンスの場合のみ）。
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: ブロックされた操作の拒否理由を示す機械可読コード（例："user_frozen", "migrated_session"）。
      type: object
      required:
        - title
        - status
      title: ProblemDetail
      description: >-
        v3 API 向けの RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き続き保持されています。その他のメンバーは追加式です。errors にはフィールド単位の検証エラーが格納されます（422
        の場合のみ）。
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'サービスユーザーの credential（プレフィックス: cog_）'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.